#pragma once

#include "CoreMinimal.h"
#include "StatusView.h"
#include "GameplayTagContainer.h"
#include "EStatusViewDisplayValueType.h"
#include "ModifierBasedStatusView.generated.h"

UCLASS(Blueprintable)
class DEADBYDAYLIGHT_API AModifierBasedStatusView : public AStatusView
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere)
	FGameplayTag _modifierTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EStatusViewDisplayValueType _displayValueType;

public:
	AModifierBasedStatusView();
};

FORCEINLINE uint32 GetTypeHash(const AModifierBasedStatusView) { return 0; }
